/*******************************************************************************/
/*                                                                             */
/*  pvipcalc.h                                                                 */
/*  Copyright (C) 2002 Dennis Pries                                            */
/*                                                                             */
/*  This program is free software; you can redistribute it and/or modify       */
/*  it under the terms of the GNU General Public License as published by       */
/*  the Free Software Foundation; either version 2 of the License, or          */
/*  (at your option) any later version.                                        */
/*                                                                             */
/*  This program is distributed in the hope that it will be useful,            */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/*  GNU General Public License for more details.                               */
/*                                                                             */
/*  You should have received a copy of the GNU General Public License          */
/*  along with this program; if not, write to the Free Software                */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                             */
/*******************************************************************************/

#include	<stdrom.h>
#include	"define.h"
#include	"libc.h"
#include	"l_define.h"
#include	"l_libc.h"

#ifndef __PVIPCALC_H
#define __PVIPCALC_H

#define PV_ESC			1
#define PV_IP			2
#define PV_NET			3
#define KOFFX			111
#define KOFFY			89
#define TITLE			"PV IPCalc v2.0"
#define OBJ_NUMPAD0		0xC000
#define OBJ_NUMPAD1		0xC001
#define OBJ_NUMPAD2		0xC002
#define OBJ_NUMPAD3		0xC003
#define OBJ_NUMPAD4		0xC004
#define OBJ_NUMPAD5		0xC005
#define OBJ_NUMPAD6		0xC006
#define OBJ_NUMPAD7		0xC007
#define OBJ_NUMPAD8		0xC008
#define OBJ_NUMPAD9		0xC009
#define OBJ_DOT			0xC00A
#define OBJ_SLASH 		0xC00B
#define OBJ_ENTER		0xC00C
#define OBJ_CLEAR 		0xC00D
#define OBJ_DELETE		0xC00E

#define OBJ_STRING		0xC100
#define OBJ_INFO		0xC101
#define OBJ_SWITCH		0xC102
#define OBJ_NETTXT		0xC103
#define OBJ_IPTXT		0xC104

#define OBJ_ABTN		0xC200
#define OBJ_BBTN		0xC201
#define OBJ_CBTN		0xC202
#define OBJ_DBTN		0xC203

#define OBJ_LIST		0xC300
#define OBJ_SCRBAR		0xC301

#define MAX_LISTITEMS	64

extern char    far KeyPad[];

extern TCHTBL  far TchPad [];
extern TCHTBL  far ClassBtns[];

extern T_ICON  far TIconEnter;
extern T_ICON  far TIconClear;
extern T_ICON  far TIconDelete;
extern T_ICON  far TIconInfo;
extern T_ICON  far TIconSwitch;
extern T_ICON  far TIconKeys[];
extern T_ICON  far TIconABtn;
extern T_ICON  far TIconBBtn;
extern T_ICON  far TIconCBtn;

#endif